from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDTDHandler(XInterface, Protocol):
    def notationDecl(self, sName: str, sPublicId: str, sSystemId: str) -> None: ...
    def unparsedEntityDecl(self, sName: str, sPublicId: str, sSystemId: str, sNotationName: str) -> None: ...
